Subject: Re: bug#49301: [PATCH 0/3] Give users control over file system checks.

From: Mathieu Othacehe <[email-masked]>
Date: Wed, 07 Jul 2021 17:09:49 +0200

Hey Tobias,

Wooh, nice one! Did you actually manage to test all those options for
all the supported file-systems :) ?

> -(define* (mount-file-system fs #:key (root "/root"))
> +(define* (mount-file-system fs #:key (root "/root")
> +                            (check? (file-system-check? fs))
> +                            (skip-check-if-clean?
> +                             (file-system-skip-check-if-clean? fs))
> +                            (repair (file-system-repair fs)))

This seems to be duplicated ...

> +                    (mount-file-system fs
> +                                       #:check? (file-system-check? fs)
> +                                       #:skip-check-if-clean?
> +                                       (file-system-skip-check-if-clean? fs)
> +                                       #:repair (file-system-repair fs)))

... here. You could maybe provide empty defaults in the
"mount-file-system" procedure declaration, or on the contrary just use
those default in this call.

Otherwise this seems fine. If all the installation tests are passing,
you can go for it!

Thanks,

Mathieu